#!/bin/bash
## Linux bash scripting for editing data simulated by QMSim


## Editing Phenotypes ##
#remove header of phenotype file, add a mean of 1 and add a column of mean
 awk '{if (NR>4) print $1,$2,$3,$4,$5,$6,$7,$8,$9,$10+1,$11,$12,$13,$14,'1'}' r_ex01b/p1_data_001.txt > data.temp
#change sex from M/F to 1/2 
 sed 's/F/1/g; s/M/2/g' data.temp > data.txt
 
## Editing Pedigree ## 
#create pedigree file
 awk '{print $1,$2,$3}' data.txt > ped.txt


## Editing Genotypes ##
#Progeny Sire    Dam     Genotypes (0 = a1,a1; 2 = a2,a2; 3 = a1,a2; 4 = a2,a1; 5 = missing; The first allele is paternal and the second allele is maternal)
#get only IDs
 awk '{if (NR>1) print $1}' r_ex01b/p1_mrk_001.txt > id.temp
#get only genotypes 
 awk 'NR>1 {$1="";print}' r_ex01b/p1_mrk_001.txt > snp.temp
#replace 3 and 4 by 1 (heterozygous) 
 sed -i 's/3/1/g; s/4/1/g' snp.temp 
#paste IDs to genotypes using a fixed format, so the first SNP starts in the sam column 
 paste id.temp snp.temp | awk '{printf("%-8s %s\n", $1,$2)}' > snp.txt

#remove temporary files
rm *.temp 
